using System;
using System.Runtime.InteropServices;

namespace PlatformInvokeDemo
{
	class MainClass
	{
		[DllImport("Kernel32.dll")]
		extern static uint GetVersion();

		static void Main(string[] args)
		{
			uint winVersion = GetVersion();

			if(winVersion < 0x80000000)
			{
				Console.WriteLine("Windows NT version {0}.{1}", (winVersion & 0xff), (winVersion & 0xffff) >> 8);
			}
			else
			{
				Console.WriteLine("Windows version {0}.{1}", (winVersion & 0xff), (winVersion & 0xffff) >> 8);
			}
		}
	}
}
